Support

Domain Notifications

View as Markdown

Manage notification opt-in preferences, retrieve notification schemas, and acknowledge domain lifecycle notifications.

Retrieve the next domain notification

GET
/v2/customers/{customerId}/domains/notifications

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v2/customers/string/domains/notifications"
{
  "notificationId": "",
  "type": "AUTH_CODE_REGENERATE",
  "resource": "",
  "resourceType": "CONTACT",
  "status": "AWAITING",
  "addedAt": "",
  "requestId": "string",
  "metadata": ""
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Retrieve a list of notification types that are opted in

GET
/v2/customers/{customerId}/domains/notifications/optIn

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v2/customers/string/domains/notifications/optIn"
[
  {
    "notificationId": "",
    "type": "AUTH_CODE_REGENERATE",
    "resource": "",
    "resourceType": "CONTACT",
    "status": "AWAITING",
    "addedAt": "",
    "requestId": "string",
    "metadata": ""
  }
]
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Opt in to receive notifications for the submitted notification types

PUT
/v2/customers/{customerId}/domains/notifications/optIn

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

Query Parameters

types*array<>

The notification types that should be opted in

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.godaddy.com/v2/customers/string/domains/notifications/optIn?types=AUTH_CODE_REGENERATE"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Retrieve the schema for the notification data for the specified notification type

GET
/v2/customers/{customerId}/domains/notifications/schemas/{type}

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

type*string

The notification type whose schema should be retrieved

Value in"AUTH_CODE_REGENERATE" | "AUTO_RENEWAL" | "CHANGE_OF_REGISTRANT_DELETE" | "DOMAIN_DELETE" | "DOMAIN_UPDATE" | "DOMAIN_UPDATE_NAME_SERVERS" | "PRIVACY_FORWARDING_UPDATE" | "REGISTER" | "TRANSFER" | "TRANSFER_IN" | "TRANSFER_IN_ACCEPT" | "TRANSFER_IN_CANCEL" | "TRANSFER_IN_RESTART" | "TRANSFER_IN_RETRY" | "TRANSFER_OUT" | "TRANSFER_OUT_ACCEPT" | "TRANSFER_OUT_REJECT"

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v2/customers/string/domains/notifications/schemas/AUTH_CODE_REGENERATE"
{
  "id": "string",
  "models": [
    {}
  ],
  "properties": [
    {
      "defaultValue": "string",
      "format": "string",
      "items": [
        {
          "format": "string",
          "pattern": "string",
          "type": "string"
        }
      ],
      "maxItems": 0,
      "maximum": 0,
      "minItems": 0,
      "minimum": 0,
      "pattern": "string",
      "required": true,
      "type": "string"
    }
  ],
  "required": [
    "string"
  ],
  "type": "object"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Acknowledge a domain notification

POST
/v2/customers/{customerId}/domains/notifications/{notificationId}/acknowledge

Path Parameters

customerId*string

The Customer identifier. Note: For API Resellers, performing actions on behalf of your customers, you need to specify the Subaccount customer identifier you're operating on behalf of.

notificationId*string

The notification ID to acknowledge

Header Parameters

X-Request-Id?string

A client provided identifier for tracking this request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v2/customers/string/domains/notifications/string/acknowledge"
Empty
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:update, domains.contact:update, domains.nameserver:update, domains.transfer:execute, domains.transfer:update, domains.forward:update
Rate limit60 req/min per credential
On failureAsync operations return 202 with an Action object. Poll until terminal state. Do not resubmit transfers.

Last updated on

How is this guide?